This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | IntDict
Name | ### sortKeys()
Examples |
    IntDict inventory;

    void setup() {
      size(200, 200);
      inventory = new IntDict();
      inventory.set("cd",84);
      inventory.set("tapes",15);
      inventory.set("records",102);
      println(inventory);
      inventory.sortKeys();
      println(inventory);
    }
Description | Sort the keys alphabetically (ignoring case). Uses the value as a tie-breaker (only really possible with a key that has a case change).
Syntax |
    .sortKeys()
Returns | void

Updated on October 26, 2013 08:58:33pm PDT